5.2.1 Compile error

Hi, completed a fresh install on my Mac and hitting the following error stack when I run ionic serve: (interestingly when I ran ionic start MyApp tabs i didn’t get any prompts to help configure the app as per the docs).

[ng] ERROR in ./src/global.scss (./node_modules/@angular-devkit/build-angular/src/angular-cli-files/plugins/raw-css-loader.js!./node_modules/postcss-loader/src??embedded!./node_modules/sass-loader/lib/loader.js??ref–14-3!./src/global.scss)
[ng] Module build failed (from ./node_modules/sass-loader/lib/loader.js):
[ng] Error: Cannot find module ‘node-sass’
[ng] at Function.Module._resolveFilename (internal/modules/cjs/loader.js:636:15)
[ng] at Function.Module._load (internal/modules/cjs/loader.js:562:25)
[ng] at Module.require (internal/modules/cjs/loader.js:690:17)
[ng] at require (internal/modules/cjs/helpers.js:25:18)
[ng] at Object.sassLoader (/Users/chris/sonic/node_modules/sass-loader/lib/loader.js:46:72)
[ng] ERROR in ./src/theme/variables.scss (./node_modules/@angular-devkit/build-angular/src/angular-cli-files/plugins/raw-css-loader.js!./node_modules/postcss-loader/src??embedded!./node_modules/sass-loader/lib/loader.js??ref–14-3!./src/theme/variables.scss)
[ng] Module build failed (from ./node_modules/sass-loader/lib/loader.js):
[ng] Error: Cannot find module ‘node-sass’
[ng] at Function.Module._resolveFilename (internal/modules/cjs/loader.js:636:15)
[ng] at Function.Module._load (internal/modules/cjs/loader.js:562:25)
[ng] at Module.require (internal/modules/cjs/loader.js:690:17)
[ng] at require (internal/modules/cjs/helpers.js:25:18)
[ng] at Object.sassLoader (/Users/chris/sonic/node_modules/sass-loader/lib/loader.js:46:72)
[ng] ERROR in ./src/app/app.scss (./node_modules/@angular-devkit/build-angular/src/angular-cli-files/plugins/raw-css-loader.js!./node_modules/postcss-loader/src??embedded!./node_modules/sass-loader/lib/loader.js??ref–14-3!./src/app/app.scss)
[ng] Module build failed (from ./node_modules/sass-loader/lib/loader.js):
[ng] Error: Cannot find module ‘node-sass’
[ng] at Function.Module._resolveFilename (internal/modules/cjs/loader.js:636:15)
[ng] at Function.Module._load (internal/modules/cjs/loader.js:562:25)
[ng] at Module.require (internal/modules/cjs/loader.js:690:17)
[ng] at require (internal/modules/cjs/helpers.js:25:18)
[ng] at Object.sassLoader (/Users/chris/sonic/node_modules/sass-loader/lib/loader.js:46:72)
[ng] ERROR in ./src/app/tab1/tab1.page.scss
[ng] Module build failed (from ./node_modules/sass-loader/lib/loader.js):
[ng] Error: Cannot find module ‘node-sass’
[ng] at Function.Module._resolveFilename (internal/modules/cjs/loader.js:636:15)
[ng] at Function.Module._load (internal/modules/cjs/loader.js:562:25)
[ng] at Module.require (internal/modules/cjs/loader.js:690:17)
[ng] at require (internal/modules/cjs/helpers.js:25:18)
[ng] at Object.sassLoader (/Users/chris/sonic/node_modules/sass-loader/lib/loader.js:46:72)
[ng] chunk {common} common.js, common.js.map (common) 14.1 kB [rendered]
[ng] chunk {es2015-polyfills} es2015-polyfills.js, es2015-polyfills.js.map (es2015-polyfills) 285 kB [initial] [rendered]
[ng] chunk {main} main.js, main.js.map (main) 23.8 kB [initial] [rendered]
[ng] chunk {polyfills} polyfills.js, polyfills.js.map (polyfills) 237 kB [initial] [rendered]
[ng] chunk {runtime} runtime.js, runtime.js.map (runtime) 8.9 kB [entry] [rendered]
[ng] chunk {styles} styles.js, styles.js.map (styles) 22 kB [initial] [rendered]
[ng] chunk {tab1-tab1-module} tab1-tab1-module.js, tab1-tab1-module.js.map (tab1-tab1-module) 6.38 kB [rendered]
[ng] chunk {tab2-tab2-module} tab2-tab2-module.js, tab2-tab2-module.js.map (tab2-tab2-module) 4.6 kB [rendered]
[ng] chunk {tab3-tab3-module} tab3-tab3-module.js, tab3-tab3-module.js.map (tab3-tab3-module) 4.6 kB [rendered]
[ng] chunk {tabs-tabs-module} tabs-tabs-module.js, tabs-tabs-module.js.map (tabs-tabs-module) 7.63 kB [rendered]
[ng] chunk {vendor} vendor.js, vendor.js.map (vendor) 4.44 MB [initial] [rendered]
[ng] :information_source: 「wdm」: Failed to compile.

provide your project information first:

run in CMD/ Terminal , ionic info

then post it here

you have rebuild your node-sass from node modules

try this command

npm rebuild node-sass --force

Thank you for your suggestion but this didn’t make any difference :frowning:

Ionic:

Ionic CLI : 5.2.1 (/usr/local/lib/node_modules/ionic)
Ionic Framework : @ionic/angular 4.6.0
@angular-devkit/build-angular : 0.13.9
@angular-devkit/schematics : 7.3.9
@angular/cli : 7.3.9
@ionic/angular-toolkit : 1.5.1

Utility:

cordova-res : not installed
native-run : not installed

System:

NodeJS : v10.16.0 (/usr/local/bin/node)
npm : 6.10.0
OS : macOS Mojave